Bloquear mensajes directos
curl --request POST \
--url https://api.x.com/2/users/{id}/dm/block \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/users/{id}/dm/block"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/users/{id}/dm/block', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"blocked": true
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}Bloqueos
Bloquear mensajes directos
Bloquea los mensajes directos entre el usuario autenticado y un Usuario específico identificado por su ID.
POST
/
2
/
users
/
{id}
/
dm
/
block
Bloquear mensajes directos
Autorizaciones
OAuth2UserTokenUserToken
The access token received from the authorization server in the OAuth 2.0 flow.
Parámetros de ruta
El ID del Usuario de destino para el cual el usuario autenticado solicita bloquear los mensajes directos. Identificador único de este usuario. Se devuelve como una cadena para evitar complicaciones con lenguajes de programación y herramientas que no pueden manejar números enteros grandes.
Pattern:
^[0-9]{1,19}$Ejemplo:
"2244994945"
Respuesta
La solicitud se ha completado correctamente.
Show child attributes
Show child attributes
Minimum array length:
1Un objeto HTTP Problem Details, tal como se define en el IETF RFC 7807 (https://tools.ietf.org/html/rfc7807).
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes